| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::AtomAbstractNode Class Reference
Core » General

This is an abstract node which cannot be broken down further. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::AtomAbstractNode:
[legend]

## Public Member Functions
| AtomAbstractNode (AbstractNode *ptr)
AbstractNode * | clone () const
| Returns a new AbstractNode which is a replica of this one. More...
const String & | getValue () const
| Returns a string value depending on the type of the AbstractNode. More...

## Public Attributes
Any | context
String | file
uint32 | id
unsigned int | line
AbstractNode * | parent
AbstractNodeType | type
String | value

## Detailed Description

This is an abstract node which cannot be broken down further.

## Constructor & Destructor Documentation

## ◆ AtomAbstractNode()

Ogre::AtomAbstractNode::AtomAbstractNode | ( | AbstractNode * | ptr | ) |

## Member Function Documentation

## ◆ clone()

AbstractNode* Ogre::AtomAbstractNode::clone | ( |  | ) | const
| virtual

Returns a new AbstractNode which is a replica of this one.

Implements Ogre::AbstractNode.

## ◆ getValue()

const String& Ogre::AtomAbstractNode::getValue | ( |  | ) | const
| inline virtual

Returns a string value depending on the type of the AbstractNode.

Implements Ogre::AbstractNode.

## Member Data Documentation

## ◆ value

String Ogre::AtomAbstractNode::value

## ◆ id

uint32 Ogre::AtomAbstractNode::id

## ◆ file

String Ogre::AbstractNode::file
| inherited

## ◆ line

unsigned int Ogre::AbstractNode::line
| inherited

## ◆ type

AbstractNodeType Ogre::AbstractNode::type
| inherited

## ◆ parent

AbstractNode* Ogre::AbstractNode::parent
| inherited

## ◆ context

Any Ogre::AbstractNode::context
| inherited

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h